## apq 3.0~b1

=== libapq/Makefile ===
# Makefile for the AW_Lib
#
# @author Marcelo Coraça de Freitas <marcelo.batera@gmail.com> 


projectFile="apq.gpr"


libs:
	gnatmake -P ${projectFile}

all: libs


clean:
	gnatclean -P ${projectFile}
	@echo "All clean"

docs:
	@-./gendoc.sh
	@echo "The documentation is generated by a bash script. Then it might fail in other platforms"
