## apq 3.0

=== Makefile ===
# Makefile for the APQ
#
# @author Marcelo Coraça de Freitas <marcelo@kow.com.br> 

PROJECT_FILES=apq.gpr
GPR_FILES=apq.gpr

INCLUDE_FILES=src/*

DOCS_DIRS=manual

include Makefile.include


pre_libs:

pos_libs:

extra_clean:
