=== debian/changelog ===
apq (3.2.0-2) unstable; urgency=medium

  [ Adrian-Ken Rueegsegger ]
  * Transition to gnat-4.9 compiler (Closes: #757574, #755014)
    Bug #757574 was caused by a stale gprbuild, which has been updated since.
  * Update to Standards-Version 3.9.5
  * Remove obsolete DM-Upload-Allowed from debian/control
  * Bump aliversion and switch to integer aliversion scheme
  * Declare conflict with libapq3.2.0-dev
  * Remove numeric prefix from fix-version.patch
  * Abort build on error (Closes: #673017)
  * Enable dpkg-buildflags hardening options
  * Add new fix-samples-gpr.patch (Closes: #739040)
  * Add Build-Depends-Indep to debian/control
  * Make use of arch and indep targets in debian/rules
  * Add libapq-doc package (Closes: #673012)
  * Update upstream website URLs
  * Update debian/copyright
  * Add Nicolas Boulenguez as Uploader to debian/control
  * Fail dh_install on missing files for all packages
  * Bump soname of library package
  * Drop debian/source/local-options

  [ Nicolas Boulenguez ]
  * Build doc with packaged floatflt.sty instead of embedded copy.
  * Update to debhelper 9
  * Register manual in doc-base
  * Add minimal run time test for installed package.
  * Make -dbg package compliant to Debian Ada Policy.
  * Remove installchangelog stanza in rules
  * Switch to gnatmake
  * Avoid -fPIC for static builds
  * Remove -indep configure pass and -debug build pass.
  * Use flags from gnat's debian_packaging.mk

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Tue, 26 Aug 2014 00:51:34 +0200

apq (3.2.0-1) unstable; urgency=low

  * Imported Upstream version 3.2.0 (Closes: #590631)
  * Update to Standards-Version 3.9.3 (no changes)
  * Update to debhelper 8
  * Update Vcs-Git URL
  * Update/Drop patches
  * Update copyright information
  * Set package names to new library version 3.2.0
  * Migrate to gnat-4.6 (Closes: #660536)
  * Add gprbuild and chrpath to build dependencies
  * Do not install changelog/HISTORY twice
  * Fix description-synopsis-starts-with-article warning
  * Update rules
  * Update installed GNAT project file
  * Switch to 3.0 (quilt) source package format
  * Add uploaders and allow DM upload
  * Add gnat as dependency
  * Fix binary-control-field-duplicates-source warning

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Wed, 07 Mar 2012 12:10:43 +0100

apq (3.0-2) unstable; urgency=low

  * Add missing conflict to libapq3-common (Closes: #570909).

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Sun, 28 Feb 2010 13:15:09 +0100

apq (3.0-1) unstable; urgency=low

  * Merging upstream version 3.0.
  * Update to new upstream URL.
  * Bump Standards-Version to 3.8.3.
  * Migrate to GNAT 4.4 (Closes: #555096).
  * Update patches.
  * Use patched upstream makefile for build.
  * Fix documentation generation.
  * Update rules.
  * Adjust installed doc and example files.
  * Update lintian overrides.
  * Make package compliant to latest Debian Ada Policy.
  * Add README.source file.
  * Fix debhelper-but-no-misc-depends lintian warning.
  * Update to Standards-Version 3.8.4 (no changes).

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Wed, 17 Feb 2010 21:58:34 +0100

apq (3.0~b1-3) unstable; urgency=low

  * Set proper build dependency for gnat-4.3 (Closes: #533155).

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Mon, 15 Jun 2009 21:26:52 +0200

apq (3.0~b1-2) unstable; urgency=low

  * Remove all built files on 'clean'.
  * Install debian-specific gpr file.
  * Remove redundant build dependency for gnat.
  * Build static library and install with dev package.

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Thu, 14 May 2009 23:05:22 +0200

apq (3.0~b1-1) unstable; urgency=low

  * Initial Release.

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Sun, 22 Mar 2009 17:14:32 +0100
