=== debian/control ===
Source: apq
Section: libs
Priority: optional
Maintainer: Adrian-Ken Rueegsegger <ken@codelabs.ch>
Uploaders: Reto Buerki <reet@codelabs.ch>,
 Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: debhelper (>= 9), gnat, gnat-4.9
Build-Depends-Indep: texlive-latex-recommended, texlive-fonts-recommended,
 latex-xcolor, texlive-latex-extra
Standards-Version: 3.9.5
Homepage: https://bitbucket.org/kowframework/
Vcs-Browser: http://git.codelabs.ch/?p=debian/apq.git
Vcs-Git: http://git.codelabs.ch/git/debian/apq.git
XS-Testsuite: autopkgtest

Package: libapq3.2.0.1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Pluggable Ada 95 Binding to various database systems (library)
 APQ is a pluggable Ada 95 Binding to various database systems like
 PostgreSQL or MySQL. This is the core package providing the plugin
 loading support.

Package: libapq4-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libapq3.2.0.1 (= ${binary:Version}), gnat, gnat-4.9
Breaks: libapq3.2.0-dev
Replaces: libapq3.2.0-dev
Description: Pluggable Ada 95 Binding to various database systems (development)
 APQ is a pluggable Ada 95 Binding to various database systems like
 PostgreSQL or MySQL. This is the core package providing the plugin
 loading support.
 .
 This package contains the development files.

Package: libapq-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libapq3.2.0.1 (= ${binary:Version})
Recommends: libapq4-dev (= ${binary:Version})
Suggests: gnat
Description: Pluggable Ada 95 Binding to various database systems (debug)
 APQ is a pluggable Ada 95 Binding to various database systems like
 PostgreSQL or MySQL. This is the core package providing the plugin
 loading support.
 .
 This package contains the debugging symbols.

Package: libapq-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Pluggable Ada 95 Binding to various database systems (documentation)
 APQ is a pluggable Ada 95 Binding to various database systems like
 PostgreSQL or MySQL. This is the core package providing the plugin
 loading support.
 .
 This package contains the documentation.
